Bulk Assign Phone Numbers
curl --request POST \
--url https://api.example.com/api/v1/assistants/{assistant_id}/phone-numbers/bulk-assign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
123
]'import requests
url = "https://api.example.com/api/v1/assistants/{assistant_id}/phone-numbers/bulk-assign"
payload = [123]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([123])
};
fetch('https://api.example.com/api/v1/assistants/{assistant_id}/phone-numbers/bulk-assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": null
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Assistant Phone Numbers
Bulk Assign Phone Numbers
Assign multiple phone numbers to an assistant at once.
Assigns all specified phone numbers to the assistant. Returns success if all assignments succeed, or details about failures.
POST
/
api
/
v1
/
assistants
/
{assistant_id}
/
phone-numbers
/
bulk-assign
Bulk Assign Phone Numbers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json